Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_StructuredProxyPushConsumer_i Class Reference

TAO_Notify_StructuredProxyPushConsumer_i. More...

`#include <Notify_StructuredProxyPushConsumer_i.h>`

Inheritance diagram for TAO_Notify_StructuredProxyPushConsumer_i:

[legend]
Collaboration diagram for TAO_Notify_StructuredProxyPushConsumer_i:

[legend]
List of all members.

## Public Methods
| TAO_Notify_StructuredProxyPushConsumer_i (TAO_Notify_SupplierAdmin_i *supplier_admin)
| Constructor. More...
virtual | ~TAO_Notify_StructuredProxyPushConsumer_i (void)
| Destructor. More...
virtual void | connect_structured_push_supplier (CosNotifyComm::StructuredPushSupplier_ptr push_supplier ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected )
virtual void | push_structured_event (const CosNotification::StructuredEvent &notification ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosEventComm::Disconnected )
virtual void | disconnect_structured_push_consumer (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
## Protected Methods
virtual void | dispatch_update_i (CosNotification::EventTypeSeq added, CosNotification::EventTypeSeq removed ACE_ENV_ARG_DECL)
| Dispatch updates to the supplier. More...
## Protected Attributes
CosNotifyComm::StructuredPushSupplier_var | push_supplier_
| The supplier that we're connected to. More...
## Private Types
typedef TAO_Notify_ProxyConsumer< POA_CosNotifyChannelAdmin::StructuredProxyPushConsumer > | proxy_inherited

## Detailed Description

TAO_Notify_StructuredProxyPushConsumer_i.

Implements CosNotifyChannelAdmin::StructuredProxyPushConsumer

## Member Typedef Documentation

typedef TAO_Notify_ProxyConsumer<POA_CosNotifyChannelAdmin::StructuredProxyPushConsumer> TAO_Notify_StructuredProxyPushConsumer_i::proxy_inherited`[private]`

## Constructor & Destructor Documentation

TAO_Notify_StructuredProxyPushConsumer_i::TAO_Notify_StructuredProxyPushConsumer_i | ( | TAO_Notify_SupplierAdmin_i * | supplier_admin | ) |

| Constructor.

TAO_Notify_StructuredProxyPushConsumer_i::~TAO_Notify_StructuredProxyPushConsumer_i | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void TAO_Notify_StructuredProxyPushConsumer_i::connect_structured_push_supplier | ( | CosNotifyComm::StructuredPushSupplier_ptr push_supplier | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected )`[virtual]`

void TAO_Notify_StructuredProxyPushConsumer_i::disconnect_structured_push_consumer | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

void TAO_Notify_StructuredProxyPushConsumer_i::dispatch_update_i | ( | CosNotification::EventTypeSeq | added,
|  | CosNotification::EventTypeSeq removed | ACE_ENV_ARG_DECL
| ) | `[protected, virtual]`

| Dispatch updates to the supplier. Reimplemented from TAO_Notify_Proxy.

void TAO_Notify_StructuredProxyPushConsumer_i::push_structured_event | ( | const CosNotification::StructuredEvent &notification | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosEventComm::Disconnected )`[virtual]`

## Member Data Documentation

CosNotifyComm::StructuredPushSupplier_var TAO_Notify_StructuredProxyPushConsumer_i::push_supplier_`[protected]`

| The supplier that we're connected to.

The documentation for this class was generated from the following files:

- Notify_StructuredProxyPushConsumer_i.h
- Notify_StructuredProxyPushConsumer_i.cpp